### Function

# ICalGLib Time timezone_expand_vtimezone

since: 2.0

#### Declaration [src]

    void
    i_cal_time_timezone_expand_vtimezone (
      ICalComponent* comp,
      gint end_year,
      ICalArray* changes
    )

#### Description [src]

Applies a list of timezone changes on the array of components until the end year.

Available since: 2.0

#### Parameters

`comp`

  Type: `ICalComponent`

  The `ICalComponent`.

  The data is owned by the caller of the function.

`end_year`

  Type: `gint`

  The end year.

`changes`

  Type: `ICalArray`

  The changes to be applies.

  The data is owned by the caller of the function.